MCP tools reference: storage.googleapis.com

Tool: create_bucket

Creates a bucket in a project.

The following example shows how to use curl to invoke the create_bucket MCP tool using curl:

Curl request
curl --location 'https://storage.googleapis.com/storage/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "create_bucket",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input schema

CreateBucketRequest

JSON representation
{
  "projectId": string,
  "bucketName": string
}
Fields
projectId

string

Required.

bucketName

string

Required. The name of the bucket to create.

Output schema

Tool Annotations

Destructive hint: ❌ | Idempotent hint: ✅ | Read-only hint: ❌ | Open-world hint: ✅